Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class NotificationFilterSupport

    java.lang.Object
      |
      +--javax.management.NotificationFilterSupport

public class NotificationFilterSupport
extends java.lang.Object
implements NotificationFilter, java.io.Serializable

This class provides an implementation of the NotificationFilter interface. The filtering is performed on the notification type attribute.

This class manages a list of enabled notification types. A method allows users to enable/disable as many notification types as required.

See Also:
  Serialized Form

Constructor Summary
`NotificationFilterSupport()`

Method Summary
`void` | `disableAllTypes()` Disables all the notification types.
`void` | `disableType(java.lang.String prefix)` Disables all the notifications whose type matches the specified prefix to be sent to the listener.
`void` | `enableType(java.lang.String prefix)` Enables all the notifications whose type matches the specified prefix to be sent to the listener.
`java.util.Vector` | `getEnabledTypes()` Gets all the enabled notification types for this filter.
`boolean` | `isNotificationEnabled(Notification notification)` Invoked before sending the specified notification to the listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationFilterSupport

    public NotificationFilterSupport()

Method Detail

### isNotificationEnabled

    public boolean isNotificationEnabled(Notification notification)

  Invoked before sending the specified notification to the listener.
  This filter compares the notification type with each enabled type. If the notification type matches one of the enabled type, the notification has to be sent to the listener and this method returns true.
  Specified by:
    isNotificationEnabled in interface NotificationFilter
  Parameters:
    `notification` - The notification to be sent.
  Returns:
    True if the notification has to be sent to the listener, false otherwise.

### enableType

    public void enableType(java.lang.String prefix)
                    throws java.lang.IllegalArgumentException

  Enables all the notifications whose type matches the specified prefix to be sent to the listener.
  If the specified prefix is already in the list of enabled notification types, this method has no effect.
  Parameters:
    `prefix` - The prefix.
  Throws:
    java.lang.IllegalArgumentException - The prefix parameter is null.

### disableType

    public void disableType(java.lang.String prefix)

  Disables all the notifications whose type matches the specified prefix to be sent to the listener.
  If the specified prefix is not in the list of enabled notification types, this method has no effect.
  Parameters:
    `prefix` - The prefix.

### disableAllTypes

    public void disableAllTypes()

  Disables all the notification types.

### getEnabledTypes

    public java.util.Vector getEnabledTypes()

  Gets all the enabled notification types for this filter.
  Returns:
    The list containing all the enabled notification types.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD